LASs - Linear Algebra Routines on OmpSs 1.0.0 LASs

- Main Page
- Files

- File List
- File Members

Functions
ddss_dnpgesv.c File Reference

LASs-DDSs ddss_dnpgesv routine. More...

`#include "../include/lass.h"`
Include dependency graph for ddss_dnpgesv.c:

Go to the source code of this file.

## Functions
int | ddss_dnpgesv (int N, int NRHS, double *A, int LDA, double *B, int LDB)

## Detailed Description

LASs-DDSs ddss_dnpgesv routine.

LASs-DDSs is a software package provided by: Barcelona Supercomputing Center - Centro Nacional de Supercomputacion

Author
  Pedro Valero-Lara pedro.nosp@m..val.nosp@m.ero@b.nosp@m.sc.e.nosp@m.s

Date
  2018-07-26

Definition in file ddss_dnpgesv.c.

## Function Documentation

int ddss_dnpgesv | ( | int | N,
|  | int | NRHS,
|  | double * | A,
|  | int | LDA,
|  | double * | B,
|  | int | LDB
| ) |  |

Solves a system of linear equations A X = B, where A is a N-by-N general matrix and X and B are N-by-NRHS matrices. The matrix A is factorized using the LU descomposition without pivoting. The matrix A is descomposed as:

    A = L * U

where L is a lower triangular matrix with unit diagonal elements and U is an upper triangular matrix.

Parameters

  [in] | N | int. N specifies the order of the square matrix A. N >= 0.
  [in] | NRHS | int. NRHS specifies the number of right-hand-sides (number of columns of B). NRHS >= 0.
  [in,out] | A | double *. A is a pointer to a regular matrix of dimension N-by-LDA. On exit, if return value is Success, the matrix A is overwriten by the factors L and U. The unit diagonal elements of L are not stored.
  [in] | LDA | int. LDA specifies the number of columns of A ( row-major order ). LDA must be at least max( 1, N ).
  [in,out] | B | double *. B is a pointer to a matrix of dimension N by NRHS, which stores the right-hand-sides of the systems of linear equations. (row-major order). On exit, if return value is Success, the matrix B is overwriten by the solution matrix X.
  [in] | LDB | int. LDB specifies the number of columns of B ( row-major order ). LDB must be at least max( 1, NRHS ).

Return values

  Success | successful exit
  NoSuccess | unsuccessful exit

See also
  kdnpgesv

Definition at line 84 of file ddss_dnpgesv.c.

References kdnpgesv().

87 {
88
89 // Argument checking
90 if ( N < 0 )
91 {
92 fprintf( stderr, "Illegal value of N, in ddss_dnpgesv code\n" );
93 return NoSuccess;
94 }
95
96 if ( NRHS < 0 )
97 {
98 fprintf( stderr, "Illegal value of NRHS, in ddss_dnpgesv code\n" );
99 return NoSuccess;
100 }
101
102 if ( LDA < MAX( 1, N ) )
103 {
104 fprintf( stderr, "Illegal value of LDA, in ddss_dnpgesv code\n" );
105 return NoSuccess;
106 }
107
108 if ( LDB < MAX( 1, NRHS ) )
109 {
110 fprintf( stderr, "Illegal value of LDB, in ddss_dnpgesv code\n" );
111 return NoSuccess;
112 }
113
114 // Quick return
115 if ( MAX( N, 0 ) == 0 || MAX( NRHS, 0 ) == 0 )
116 {
117 return Success;
118 }
119
120 return kdnpgesv( N, NRHS, A, LDA, B, LDB );
121
122 }
kdnpgesv
enum LASS_RETURN kdnpgesv(int N, int NRHS, double *A, int LDA, double *B, int LDB)
Definition: kdnpgesv.c:86